aboutsummaryrefslogtreecommitdiffstats
path: root/mail/cyrus-imapd2/pkg-deinstall
diff options
context:
space:
mode:
authorwill <will@FreeBSD.org>2000-12-21 16:25:50 +0800
committerwill <will@FreeBSD.org>2000-12-21 16:25:50 +0800
commiteba6ed11eba651e997ef137654e406a4fd8d144f (patch)
tree201c712a70a274eae2788b651584bded57579d88 /mail/cyrus-imapd2/pkg-deinstall
parent8b4cff46d0c49ac9d0a9b87d7aacd348c99d55cd (diff)
downloadfreebsd-ports-gnome-eba6ed11eba651e997ef137654e406a4fd8d144f.tar.gz
freebsd-ports-gnome-eba6ed11eba651e997ef137654e406a4fd8d144f.tar.zst
freebsd-ports-gnome-eba6ed11eba651e997ef137654e406a4fd8d144f.zip
Update to 1.6.24. Fix /var/pwcheck handling since that's moved to the
security/cyrus-sasl port. Fix deliver.c so it uses the correct location of sendmail (/usr/sbin/sendmail vs. /usr/lib/sendmail). Open the port up to the world after previous maintainer showed no interest in the port for nearly 2 years. PR: 22791, 22465 Submitted by: Martti Kuparinen <martti.kuparinen@piuha.net> Scot W. Hetzel <hetzels@westbend.net>
Diffstat (limited to 'mail/cyrus-imapd2/pkg-deinstall')
-rw-r--r--mail/cyrus-imapd2/pkg-deinstall47
1 files changed, 47 insertions, 0 deletions
diff --git a/mail/cyrus-imapd2/pkg-deinstall b/mail/cyrus-imapd2/pkg-deinstall
new file mode 100644
index 000000000000..ed567ca504b0
--- /dev/null
+++ b/mail/cyrus-imapd2/pkg-deinstall
@@ -0,0 +1,47 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# Created by: hetzels@westbend.net
+
+#set -vx
+
+PKG_BATCH=${BATCH:=NO}
+
+PKG_PREFIX=${PKG_PREFIX:=/usr/local}
+
+checkfile() {
+ diff -bBqw $1 $1.dist >/dev/null 2>&1
+ case $? in
+ 0) # config file exists, but is the same
+ rm $1
+ ;;
+ 1) # config file exists and differs
+ ;;
+ *) # no config file exists
+ ;;
+ esac
+}
+
+# Uninstall timseived's Cyrus.conf file.
+
+cyrus_conf() {
+ if [ -f ${PKG_PREFIX}/lib/sasl/Cyrus.conf ]; then
+ echo "pwcheck_method: pwcheck" > ${PKG_PREFIX}/lib/sasl/Cyrus.conf.tmp
+ if cmp -s ${PKG_PREFIX}/lib/sasl/Cyrus.conf ${PKG_PREFIX}/lib/sasl/Cyrus.conf.tmp; then
+ rm -f ${PKG_PREFIX}/lib/sasl/Cyrus.conf
+ fi
+ rm -f ${PKG_PREFIX}/lib/sasl/Cyrus.conf.tmp
+ fi
+}
+
+case $2 in
+ DEINSTALL)
+ cd ${PKG_PREFIX}
+ cyrus_conf
+ checkfile ${PKG_PREIFX}/etc/imapd.conf
+ ;;
+ POST-DEINSTALL)
+ ;;
+
+esac